[Overview][Classes][Procedures and functions][Index] | Reference for unit 'XMLPropStorage' (#lcl)

# TCustomXMLPropStorage.RootNodePath

Path to the root node in the XML file.

## Declaration

Source position: xmlpropstorage.pas line 57

`public property TCustomXMLPropStorage.RootNodePath : string read FRootNodePath write FRootNodePath;`

## Description

Provides the name path to the XML node where the property values are stored in FileName. It overrides the inherited RootSection value when provided, and determines the DOM node where property values are stored in the SaveProperties method.

If the class is used for session properties on a TFrame instance, RootNodePath must be specified with a path for the frame instance. For example: 'TApplication/Frame1'.

## See also

TCustomXMLPropStorage.RootSection |  | Returns the name of the RootSection.
TCustomPropertyStorage.SaveProperties |  | Saves property values to the storage mechanism for the container.